use std::env;

fn hex_to_char(s: &str) -> Result<char, std::num::ParseIntError> {
    u8::from_str_radix(s, 16).map(|n| n as char)
}

fn main() {
    let args: Vec<String> = env::args().collect();
    let input = &args[1];

    let char_vec: Vec<char> = input.chars().collect();
    let split = &char_vec.chunks(2)
        .map(|chunk| chunk.iter().collect::<String>())
        .collect::<Vec<_>>();

    for s in split {
        println!("{:?}", hex_to_char(s));
    }
}
